// src/js/es6/script.js
$(function() {
  checkBrowser();
});
function forms() {
  $(".deaSearch .inp").focus(function() {
    if ($(this).val() === this.defaultValue) {
      $(this).val("");
    }
  }).blur(function() {
    if ($(this).val() === "") {
      $(this).val(this.defaultValue);
    }
  });
}
function tabs(tit, box) {
  var oDivLi = $(tit).children();
  var oBoxLi = $(box).children();
  var i;
  oBoxLi.hide();
  oDivLi.each(function() {
    if ($(this).hasClass("on")) {
      i = $(this).index();
    }
  });
  oBoxLi.eq(i).show();
  oDivLi.click(function() {
    $(this).addClass("on").siblings().removeClass("on");
    var index = oDivLi.index(this);
    oBoxLi.eq(index).fadeIn("linear").siblings().hide();
  });
}
var checkBrowser = function() {
  var userAgent = window.navigator.userAgent.toLowerCase();
  var msie8 = /msie 8\.0/i.test(userAgent);
  var msie7 = /msie 7\.0/i.test(userAgent);
  var msie6 = /msie 6\.0/i.test(userAgent);
  var checkHtml = "";
  if (msie8) {
    checkHtml = '<div class="checkBrowser"><span>\u60A8\u73B0\u5728\u4F7F\u7528\u7684\u662FIE8\u5185\u6838\uFF0C\u7248\u672C\u8FC7\u4F4E\uFF01\u5EFA\u8BAE\u60A8\u5347\u7EA7\u5230IE9+\u6216\u8005\u4F7F\u7528\u6781\u901F\u6A21\u5F0F\u6D4F\u89C8\uFF0C\u4EE5\u4F53\u9A8C\u6700\u4F73\u6548\u679C!</span><a title="\u5173\u95ED" onclick="checkBrowser.close();">\xD7</a></div>';
    $("body").append(checkHtml);
  } else if (msie7) {
    checkHtml = '<div class="checkBrowser"><span>\u60A8\u73B0\u5728\u4F7F\u7528\u7684\u662FIE7\u5185\u6838\uFF0C\u7248\u672C\u8FC7\u4F4E\uFF01\u5EFA\u8BAE\u60A8\u5347\u7EA7\u5230IE9+\u6216\u8005\u4F7F\u7528\u6781\u901F\u6A21\u5F0F\u6D4F\u89C8\uFF0C\u4EE5\u4F53\u9A8C\u6700\u4F73\u6548\u679C!</span><a title="\u5173\u95ED" onclick="checkBrowser.close();">\xD7</a></div>';
    $("body").append(checkHtml);
  } else if (msie6) {
    checkHtml = '<div class="checkBrowser"><span>\u60A8\u73B0\u5728\u4F7F\u7528\u7684\u662FIE6\u5185\u6838\uFF0C\u7248\u672C\u8FC7\u4F4E\uFF01\u5EFA\u8BAE\u60A8\u5347\u7EA7\u5230IE9+\u6216\u8005\u4F7F\u7528\u6781\u901F\u6A21\u5F0F\u6D4F\u89C8\uFF0C\u4EE5\u4F53\u9A8C\u6700\u4F73\u6548\u679C!</span><a title="\u5173\u95ED" onclick="checkBrowser.close();">\xD7</a></div>';
    $("body").append(checkHtml);
  }
  checkBrowser.close = function() {
    $(".checkBrowser").remove();
  };
};
var isMobile = function() {
  var sUserAgent = navigator.userAgent.toLowerCase();
  var bIsIpad = sUserAgent.indexOf("ipad") >= 0;
  var bIsIphoneOs = sUserAgent.indexOf("iphone os") >= 0;
  var bIsMidp = sUserAgent.indexOf("midp") >= 0;
  var bIsUc7 = sUserAgent.indexOf("rv:1.2.3.4") >= 0;
  var bIsUc = sUserAgent.indexOf("ucweb") >= 0;
  var bIsAndroid = sUserAgent.indexOf("android") >= 0;
  var bIsCE = sUserAgent.indexOf("windows ce") >= 0;
  var bIsWM = sUserAgent.indexOf("windows mobile") >= 0;
  if (bIsIpad || bIsIphoneOs || bIsMidp || bIsUc7 || bIsUc || bIsAndroid || bIsCE || bIsWM) {
    return true;
  } else {
    return false;
  }
};
function func(e) {
  e.preventDefault();
}
var Alert = class {
  constructor() {
    this.boxId = Math.random().toString(36).substring(2, 6);
    this.option = {
      type: "",
      title: "\u63D0\u793A\u4FE1\u606F",
      content: null,
      submitText: "\u786E\u5B9A",
      cancelText: "\u53D6\u6D88",
      footerHide: false,
      cancelHide: false,
      duration: 0,
      btnColor: "#2d8cf0",
      doneClick: function(e) {
      },
      cancelClick: function(e) {
      },
      onClose: function(e) {
      }
    };
  }
  init() {
    let iconType = "tips-popup-icon", iconName = "", contentText = !this.option.content ? "" : '<div class="tips-popup-content">' + this.option.content + "</div>", footerBtn = this.option.footerHide ? "" : this.option.cancelHide ? '<ul class="tips-popup-footer"><li class="submit-btn" style="border-color:' + this.option.btnColor + ";background-color:" + this.option.btnColor + '">' + this.option.submitText + "</li></ul>" : '<ul class="tips-popup-footer"><li class="cancel-btn">' + this.option.cancelText + '</li><li class="submit-btn" style="border-color:' + this.option.btnColor + ";background-color:" + this.option.btnColor + '">' + this.option.submitText + "</li></ul>";
    switch (this.option.type) {
      case "success":
        iconName = "tips-icon-success";
        break;
      case "error":
        iconName = "tips-icon-error";
        break;
      case "info":
        iconName = "tips-icon-info";
        break;
      case "question":
        iconName = "tips-icon-question";
        break;
      case "alert":
        iconName = "tips-icon-alert";
        break;
      default:
        iconType = null;
        break;
    }
    let html = '<div class="tips-popup" id="tipsP' + this.boxId + '"><div class="tips-popup-mask"></div><div class="tips-popup-box ' + iconType + '"><div class="tips-popup-head"><span class="tips-icon ' + iconName + '">&nbsp;</span><div class="title">' + this.option.title + '</div><span class="tips-popup-close">&nbsp;</span></div>' + contentText + footerBtn + "</div></div>";
    $("body").append(html);
    $(`${"#tipsP" + this.boxId}`).addClass("init");
    setTimeout(() => {
      $(`${"#tipsP" + this.boxId}`).addClass("show");
      this.listenEvt();
    }, 200);
  }
  success(option) {
    $.extend(this.option, { type: "success", cancelHide: true }, option);
    this.init();
  }
  error(option) {
    $.extend(this.option, { type: "error", cancelHide: true }, option);
    this.init();
  }
  info(option) {
    $.extend(this.option, { type: "info" }, option);
    this.init();
  }
  question(option) {
    $.extend(this.option, { type: "question" }, option);
    this.init();
  }
  alert(option) {
    $.extend(this.option, { type: "alert", cancelHide: true }, option);
    this.init();
  }
  close() {
    $(`${"#tipsP" + this.boxId}`).removeClass("init show");
    setTimeout(() => {
      $(`${"#tipsP" + this.boxId}`).remove();
    }, 400);
    this.option.onClose();
  }
  listenEvt() {
    let _this = this;
    if (_this.option.duration !== 0) {
      setTimeout(() => {
        _this.close();
      }, _this.option.duration);
    }
    $(`${"#tipsP" + this.boxId} .submit-btn`).click(function() {
      _this.option.doneClick();
      _this.close();
    });
    $(`${"#tipsP" + this.boxId} .cancel-btn`).click(function() {
      _this.close();
      _this.option.cancelClick();
    });
    $(`${"#tipsP" + this.boxId} .tips-popup-mask, ${"#tipsP" + this.boxId} .tips-popup-close`).click(function() {
      _this.close();
    });
  }
};
function getVerCode(params) {
  if (!params.url) {
    throw console.error("\u8BF7\u586B\u5199\u6821\u9A8C\u79D8\u94A5\u83B7\u53D6\u5730\u5740\uFF01");
  }
  let textHtml = '<div class="captcha-title">\u5B89\u5168\u7EC4\u4EF6\u52A0\u8F7D\u4E2D</div>';
  let loadingHtml = '<div class="captcha-show captcha-loading-con">\n                <div class="captcha-loading">\n                    <div class="captcha-loading-dot"></div>\n                    <div class="captcha-loading-dot"></div>\n                    <div class="captcha-loading-dot"></div>\n                    <div class="captcha-loading-dot"></div>\n                </div>\n            </div>';
  $(params.el).append(textHtml + loadingHtml);
  $.ajax({
    url: params.url,
    type: "get",
    dataType: "jsonp",
    success: function(data) {
      $(`${params.el} .captcha-title`).hide();
      $(`${params.el} .captcha-loading-con`).show();
      window.initGeetest({
        lang: params.lang || "zh-cn",
        gt: data.code.gt,
        https: true,
        challenge: data.code.challenge,
        new_captcha: data.code.new_captcha,
        product: "popup",
        // 产品形式，包括：float，embed，popup。注意只对PC版验证码有效
        width: "100%",
        offline: !data.code.success
        // 表示用户后台检测极验服务器是否宕机，一般不需要关注
      }, function(captchaObj) {
        var geetInit = captchaObj;
        captchaObj.appendTo(params.el);
        captchaObj.onReady(function() {
          $(`${params.el} .captcha-loading-con`).hide();
        });
        captchaObj.onError(function() {
          geetInit.reset();
        });
        params.callback(captchaObj);
      });
    }
  });
}
function codeCountdown(option) {
  if ($(option.el).hasClass("disabled")) {
    return false;
  }
  let timer = null, sendTime = Math.round(+/* @__PURE__ */ new Date() / 1e3);
  timer = setInterval(() => {
    let now = Math.round(+/* @__PURE__ */ new Date() / 1e3), diff = sendTime + Number(option.interval) - now;
    if (diff > 0) {
      $(option.el).addClass("disabled").text(diff + "s\u540E\u91CD\u65B0\u53D1\u9001");
    } else {
      $(option.el).removeClass("disabled").text("\u83B7\u53D6\u9A8C\u8BC1\u7801");
      option.callback ? option.callback() : null;
      clearInterval(timer);
    }
  }, 1e3);
}
function getPhoneCode(option) {
  let flag = true, origin = window.location.origin;
  let oAlert = new Alert();
  option = $.extend({}, {
    url: `${origin}/api/sms/send`,
    onSuccess: function() {
    },
    onError: function() {
    }
  }, option);
  $(option.btn).unbind().click(function() {
    if (flag) {
      let mobile = $(option.data.mobileEl).val();
      if (!/^1[3456789]\d{9}$/.test(mobile)) {
        oAlert.error({
          content: "\u8BF7\u8F93\u5165\u6B63\u786E\u7684\u624B\u673A\u53F7"
        });
        return false;
      }
      flag = false;
      $.ajax({
        url: option.url,
        method: "POST",
        data: {
          mobile,
          event: option.data.event
        },
        success(res) {
          if (res.code === 1) {
            option.onSuccess(res);
            codeCountdown({
              el: option.btn,
              interval: 60,
              callback: function() {
                flag = true;
              }
            });
          } else {
            flag = true;
            option.onError(res);
            oAlert.error({
              content: res.msg
            });
          }
        },
        error(XMLHttpRequest, textStatus) {
          flag = true;
          option.onError({
            msg: "\u8BF7\u6C42\u9519\u8BEF!"
          });
          oAlert.error({
            content: textStatus
          });
        }
      });
    }
  });
}
var ShareTo = class {
  constructor(params) {
    let _this = this;
    this.params = $.extend({
      url: window.location.href,
      title: document.title,
      el: ".share-btn"
    }, params);
    $(this.params.el).each(function() {
      let type = $(this).attr("data-share");
      _this[`${type}`]($(this));
    }).click(function() {
      let url = $(this).attr("data-url"), params2 = "height=540,width=720, top = " + (window.screen.height - 540) / 2 + ", left = " + (window.screen.width - 720) / 2 + ", toolbar=no,menubar=no,resizable=yes,location=yes,status=no";
      if (url) {
        window.open(url, "share", params2);
      } else if (_this.isWechat()) {
        $(".wechat-tip-mask").show();
      }
    });
  }
  qq(el) {
    let n = "http://connect.qq.com/widget/shareqq/index.html?url=" + encodeURIComponent(this.params.url) + "&showcount=0&desc=" + encodeURIComponent(this.params.title) + "&summary=&title=" + encodeURIComponent(this.params.title) + "&pics=&style=203&width=19&height=22";
    el.attr("data-url", n);
  }
  weibo(el) {
    let n = "http://service.weibo.com/share/share.php?url=" + encodeURIComponent(this.params.url) + "&appkey=&title=" + encodeURIComponent(this.params.title) + "&pic=&ralateUid=&language=&searchPic=false";
    el.attr("data-url", n);
  }
  wechat(el) {
    let html = "";
    if (this.isWechat()) {
      html = '<div class="wechat-tip-mask"></div>';
      $("body").append(html);
      $(".wechat-tip-mask").click(function() {
        $(this).hide();
      });
    } else {
      let uuid = Math.random().toString(36).substring(3, 9);
      html = `<div class="wechat-ewm"><div class="img" id="wechatEwm-${uuid}"></div><p>\u7528\u5FAE\u4FE1\u626B\u63CF\u4E8C\u7EF4\u7801</p></div>`;
      if ($(`#wechatEwm-${uuid}`).length <= 0) {
        el.append(html);
      }
      $(`#wechatEwm-${uuid}`).qrcode({
        render: "canvas",
        text: this.params.url,
        width: 113,
        height: 113
      });
    }
  }
  isWechat() {
    return window.navigator.userAgent.toLowerCase().indexOf("micromessenger") !== -1;
  }
};
function imgViewer(viewerEl) {
  $(viewerEl).each(function() {
    const gallery = new Viewer(this, {
      title: function(image, imageData) {
        return image.alt;
      }
    });
  });
}
var Area = class {
  constructor(options) {
    let _this = this, origin = window.location.origin, placeholder = ["\u8BF7\u9009\u62E9\u7701\u4EFD", "\u8BF7\u9009\u62E9\u57CE\u5E02", "\u8BF7\u9009\u62E9\u533A/\u53BF"];
    _this.options = $.extend({}, {
      url: `${origin}/api/common/area`,
      placeholder,
      onSelected: function() {
      }
    }, options);
    _this.area = [];
    _this.selected = [];
    $.ajax({
      url: _this.options.url,
      method: "GET",
      success(res) {
        _this.area = res.data;
        _this._init();
      }
    });
  }
  _init() {
    let _this = this;
    if (_this.options.values !== void 0 && !Array.isArray(_this.options.values)) {
      throw new Error("\u5730\u533A\u521D\u59CB\u9ED8\u8BA4\u503C\u5FC5\u987B\u4F20\u4E00\u4E2A\u6570\u7EC4");
    }
    _this.selected = _this.options.values || [];
    if (_this.selected.length > 0) {
      _this._setProvince(_this.selected[0]);
      _this._setCity(_this.selected[0], _this.selected[1] || "");
      _this._setArea(_this.selected[1], _this.selected[2] || "");
    } else {
      _this._setProvince();
      $("#selectCity").html(`<option value="">${_this.options.placeholder[1]}</option>`);
      $("#selectArea").html(`<option value="">${_this.options.placeholder[2]}</option>`);
    }
  }
  /**
   * 设置省份数据
   * @param defaultCode - {string} - 默认的省份code
   * @private
   */
  _setProvince(defaultCode) {
    let data = this.area.filter((v) => {
      return !v.parent;
    }), _this = this, provinceHtml = `<option value="0">${_this.options.placeholder[0]}</option>`;
    for (let i = 0; i < data.length; i++) {
      if (data[i].value === defaultCode) {
        provinceHtml += '<option value="' + data[i].value + '" selected>' + data[i].name + "</option>";
      } else {
        provinceHtml += '<option value="' + data[i].value + '">' + data[i].name + "</option>";
      }
    }
    $("#selectProvince").off("change").html(provinceHtml).change(function() {
      _this.selected = [$(this).val()];
      _this.options.onSelected(_this.selected);
      _this._setCity($(this).val());
      _this._setArea("", "");
    });
  }
  /**
   * 设置城市数据
   * @param provinceCode - {string} - 上级省份code
   * @param defaultCode - {string} - 默认城市code
   * @private
   */
  _setCity(provinceCode, defaultCode) {
    if (!provinceCode && typeof provinceCode !== "string") {
      throw new Error("\u5FC5\u987B\u4F20\u7701\u4EFD\u7684\u503C\u4E14\u4E3A\u5B57\u7B26\u4E32");
    }
    let _this = this, data = this.area.filter((v) => {
      return v.parent === provinceCode;
    }), cityHtml = `<option value="0">${_this.options.placeholder[1]}</option>`;
    for (let i = 0; i < data.length; i++) {
      if (data[i].value === defaultCode) {
        cityHtml += '<option value="' + data[i].value + '" selected>' + data[i].name + "</option>";
      } else {
        cityHtml += '<option value="' + data[i].value + '">' + data[i].name + "</option>";
      }
    }
    $("#selectCity").off("change").html(cityHtml).change(function() {
      _this.selected[1] = $(this).val();
      _this.options.onSelected(_this.selected);
      _this._setArea($(this).val());
    });
  }
  /**
   * 设置区县数据
   * @param cityCode - {string} - 上级城市的code
   * @param defaultCode - {string} - 默认区县的code
   * @private
   */
  _setArea(cityCode, defaultCode) {
    if (!cityCode && typeof cityCode !== "string") {
      throw new Error("\u5FC5\u987B\u4F20\u57CE\u5E02\u7684\u503C\u4E14\u4E3A\u5B57\u7B26\u4E32");
    }
    let _this = this, data = this.area.filter((v) => {
      return v.parent === cityCode;
    }), areaHtml = `<option value="0">${_this.options.placeholder[2]}</option>`;
    for (let i = 0; i < data.length; i++) {
      if (data[i].value === defaultCode) {
        areaHtml += '<option value="' + data[i].value + '" selected>' + data[i].name + "</option>";
      } else {
        areaHtml += '<option value="' + data[i].value + '">' + data[i].name + "</option>";
      }
    }
    $("#selectArea").off("change").html(areaHtml).change(function() {
      _this.selected[2] = $(this).val();
      _this.options.onSelected(_this.selected);
      $(".shop-select").trigger("render");
    });
  }
};
//# sourceMappingURL=script.js.map
